boehm-gc: revert all CACAO-specific modifications; this is now an exact copy of the...
[cacao.git] / src / mm / boehm-gc / libatomic_ops-1.2 / tests / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = ..
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 target_triplet = @target@
39 check_PROGRAMS = test_atomic$(EXEEXT) test_atomic_pthreads$(EXEEXT) \
40         test_stack$(EXEEXT) test_malloc$(EXEEXT)
41 subdir = tests
42 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46         $(ACLOCAL_M4)
47 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
48 CONFIG_HEADER = $(top_builddir)/src/config.h
49 CONFIG_CLEAN_FILES =
50 am_test_atomic_OBJECTS = test_atomic.$(OBJEXT)
51 test_atomic_OBJECTS = $(am_test_atomic_OBJECTS)
52 test_atomic_DEPENDENCIES = ../src/libatomic_ops.a
53 am_test_atomic_pthreads_OBJECTS =  \
54         test_atomic_pthreads-test_atomic.$(OBJEXT)
55 test_atomic_pthreads_OBJECTS = $(am_test_atomic_pthreads_OBJECTS)
56 test_atomic_pthreads_DEPENDENCIES = ../src/libatomic_ops.a
57 am_test_malloc_OBJECTS = test_malloc.$(OBJEXT)
58 test_malloc_OBJECTS = $(am_test_malloc_OBJECTS)
59 test_malloc_DEPENDENCIES = ../src/libatomic_ops_gpl.a \
60         ../src/libatomic_ops.a
61 am_test_stack_OBJECTS = test_stack.$(OBJEXT)
62 test_stack_OBJECTS = $(am_test_stack_OBJECTS)
63 test_stack_DEPENDENCIES = ../src/libatomic_ops_gpl.a \
64         ../src/libatomic_ops.a
65 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
66 depcomp = $(SHELL) $(top_srcdir)/depcomp
67 am__depfiles_maybe = depfiles
68 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
69         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
70 CCLD = $(CC)
71 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
72 SOURCES = $(test_atomic_SOURCES) $(test_atomic_pthreads_SOURCES) \
73         $(test_malloc_SOURCES) $(test_stack_SOURCES)
74 DIST_SOURCES = $(test_atomic_SOURCES) $(test_atomic_pthreads_SOURCES) \
75         $(test_malloc_SOURCES) $(test_stack_SOURCES)
76 ETAGS = etags
77 CTAGS = ctags
78 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
79 ACLOCAL = @ACLOCAL@
80 AMDEP_FALSE = @AMDEP_FALSE@
81 AMDEP_TRUE = @AMDEP_TRUE@
82 AMTAR = @AMTAR@
83 AUTOCONF = @AUTOCONF@
84 AUTOHEADER = @AUTOHEADER@
85 AUTOMAKE = @AUTOMAKE@
86 AWK = @AWK@
87 CC = @CC@
88 CCAS = @CCAS@
89 CCASFLAGS = @CCASFLAGS@
90 CCDEPMODE = @CCDEPMODE@
91 CFLAGS = @CFLAGS@
92 CPP = @CPP@
93 CPPFLAGS = @CPPFLAGS@
94 CYGPATH_W = @CYGPATH_W@
95 DEFS = @DEFS@
96 DEPDIR = @DEPDIR@
97 ECHO_C = @ECHO_C@
98 ECHO_N = @ECHO_N@
99 ECHO_T = @ECHO_T@
100 EGREP = @EGREP@
101 EXEEXT = @EXEEXT@
102 GREP = @GREP@
103 INSTALL_DATA = @INSTALL_DATA@
104 INSTALL_PROGRAM = @INSTALL_PROGRAM@
105 INSTALL_SCRIPT = @INSTALL_SCRIPT@
106 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
107 LDFLAGS = @LDFLAGS@
108 LIBOBJS = @LIBOBJS@
109 LIBS = @LIBS@
110 LTLIBOBJS = @LTLIBOBJS@
111 MAKEINFO = @MAKEINFO@
112 NEED_ASM_FALSE = @NEED_ASM_FALSE@
113 NEED_ASM_TRUE = @NEED_ASM_TRUE@
114 OBJEXT = @OBJEXT@
115 PACKAGE = @PACKAGE@
116 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
117 PACKAGE_NAME = @PACKAGE_NAME@
118 PACKAGE_STRING = @PACKAGE_STRING@
119 PACKAGE_TARNAME = @PACKAGE_TARNAME@
120 PACKAGE_VERSION = @PACKAGE_VERSION@
121 PATH_SEPARATOR = @PATH_SEPARATOR@
122 PICFLAG = @PICFLAG@
123 RANLIB = @RANLIB@
124 SET_MAKE = @SET_MAKE@
125 SHELL = @SHELL@
126 STRIP = @STRIP@
127 VERSION = @VERSION@
128 ac_ct_CC = @ac_ct_CC@
129 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
130 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
131 am__include = @am__include@
132 am__leading_dot = @am__leading_dot@
133 am__quote = @am__quote@
134 am__tar = @am__tar@
135 am__untar = @am__untar@
136 bindir = @bindir@
137 build = @build@
138 build_alias = @build_alias@
139 build_cpu = @build_cpu@
140 build_os = @build_os@
141 build_vendor = @build_vendor@
142 datadir = @datadir@
143 datarootdir = @datarootdir@
144 docdir = @docdir@
145 dvidir = @dvidir@
146 exec_prefix = @exec_prefix@
147 host = @host@
148 host_alias = @host_alias@
149 host_cpu = @host_cpu@
150 host_os = @host_os@
151 host_vendor = @host_vendor@
152 htmldir = @htmldir@
153 includedir = @includedir@
154 infodir = @infodir@
155 install_sh = @install_sh@
156 libdir = @libdir@
157 libexecdir = @libexecdir@
158 localedir = @localedir@
159 localstatedir = @localstatedir@
160 mandir = @mandir@
161 mkdir_p = @mkdir_p@
162 oldincludedir = @oldincludedir@
163 pdfdir = @pdfdir@
164 prefix = @prefix@
165 program_transform_name = @program_transform_name@
166 psdir = @psdir@
167 sbindir = @sbindir@
168 sharedstatedir = @sharedstatedir@
169 sysconfdir = @sysconfdir@
170 target = @target@
171 target_alias = @target_alias@
172 target_cpu = @target_cpu@
173 target_os = @target_os@
174 target_vendor = @target_vendor@
175 EXTRA_DIST = test_atomic.template list_atomic.template run_parallel.inc \
176            test_atomic_include.h
177
178 # We distribute test_atomic_include.h, since it's hard to regenerate
179 # on Windows without sed.
180 BUILT_SOURCES = test_atomic_include.h list_atomic.i
181 CLEANFILES = test_atomic_include.h list_atomic.c list_atomic.i
182 AM_CPPFLAGS = -I$(srcdir)/../src
183 TESTS = test_atomic test_atomic_pthreads test_stack test_malloc
184 test_atomic_SOURCES = test_atomic.c
185 test_atomic_LDADD = -lpthread ../src/libatomic_ops.a
186 test_atomic_pthreads_SOURCES = test_atomic.c 
187 test_atomic_pthreads_CPPFLAGS = -DAO_USE_PTHREAD_DEFS $(AM_CPPFLAGS)
188 test_atomic_pthreads_LDADD = -lpthread ../src/libatomic_ops.a
189 test_stack_SOURCES = test_stack.c 
190 test_stack_LDADD = -lpthread ../src/libatomic_ops_gpl.a ../src/libatomic_ops.a 
191 test_malloc_SOURCES = test_malloc.c 
192 test_malloc_LDADD = -lpthread ../src/libatomic_ops_gpl.a ../src/libatomic_ops.a 
193 all: $(BUILT_SOURCES)
194         $(MAKE) $(AM_MAKEFLAGS) all-am
195
196 .SUFFIXES:
197 .SUFFIXES: .c .o .obj
198 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
199         @for dep in $?; do \
200           case '$(am__configure_deps)' in \
201             *$$dep*) \
202               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
203                 && exit 0; \
204               exit 1;; \
205           esac; \
206         done; \
207         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
208         cd $(top_srcdir) && \
209           $(AUTOMAKE) --gnu  tests/Makefile
210 .PRECIOUS: Makefile
211 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
212         @case '$?' in \
213           *config.status*) \
214             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
215           *) \
216             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
217             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
218         esac;
219
220 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
221         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
222
223 $(top_srcdir)/configure:  $(am__configure_deps)
224         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
225 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
226         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
227
228 clean-checkPROGRAMS:
229         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
230 test_atomic$(EXEEXT): $(test_atomic_OBJECTS) $(test_atomic_DEPENDENCIES) 
231         @rm -f test_atomic$(EXEEXT)
232         $(LINK) $(test_atomic_LDFLAGS) $(test_atomic_OBJECTS) $(test_atomic_LDADD) $(LIBS)
233 test_atomic_pthreads$(EXEEXT): $(test_atomic_pthreads_OBJECTS) $(test_atomic_pthreads_DEPENDENCIES) 
234         @rm -f test_atomic_pthreads$(EXEEXT)
235         $(LINK) $(test_atomic_pthreads_LDFLAGS) $(test_atomic_pthreads_OBJECTS) $(test_atomic_pthreads_LDADD) $(LIBS)
236 test_malloc$(EXEEXT): $(test_malloc_OBJECTS) $(test_malloc_DEPENDENCIES) 
237         @rm -f test_malloc$(EXEEXT)
238         $(LINK) $(test_malloc_LDFLAGS) $(test_malloc_OBJECTS) $(test_malloc_LDADD) $(LIBS)
239 test_stack$(EXEEXT): $(test_stack_OBJECTS) $(test_stack_DEPENDENCIES) 
240         @rm -f test_stack$(EXEEXT)
241         $(LINK) $(test_stack_LDFLAGS) $(test_stack_OBJECTS) $(test_stack_LDADD) $(LIBS)
242
243 mostlyclean-compile:
244         -rm -f *.$(OBJEXT)
245
246 distclean-compile:
247         -rm -f *.tab.c
248
249 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_atomic.Po@am__quote@
250 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_atomic_pthreads-test_atomic.Po@am__quote@
251 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_malloc.Po@am__quote@
252 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_stack.Po@am__quote@
253
254 .c.o:
255 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
256 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
257 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
258 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
259 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
260
261 .c.obj:
262 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
263 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
264 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
265 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
266 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
267
268 test_atomic_pthreads-test_atomic.o: test_atomic.c
269 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_atomic_pthreads-test_atomic.o -MD -MP -MF "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo" -c -o test_atomic_pthreads-test_atomic.o `test -f 'test_atomic.c' || echo '$(srcdir)/'`test_atomic.c; \
270 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo" "$(DEPDIR)/test_atomic_pthreads-test_atomic.Po"; else rm -f "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo"; exit 1; fi
271 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='test_atomic.c' object='test_atomic_pthreads-test_atomic.o' libtool=no @AMDEPBACKSLASH@
272 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
273 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_atomic_pthreads-test_atomic.o `test -f 'test_atomic.c' || echo '$(srcdir)/'`test_atomic.c
274
275 test_atomic_pthreads-test_atomic.obj: test_atomic.c
276 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_atomic_pthreads-test_atomic.obj -MD -MP -MF "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo" -c -o test_atomic_pthreads-test_atomic.obj `if test -f 'test_atomic.c'; then $(CYGPATH_W) 'test_atomic.c'; else $(CYGPATH_W) '$(srcdir)/test_atomic.c'; fi`; \
277 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo" "$(DEPDIR)/test_atomic_pthreads-test_atomic.Po"; else rm -f "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo"; exit 1; fi
278 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='test_atomic.c' object='test_atomic_pthreads-test_atomic.obj' libtool=no @AMDEPBACKSLASH@
279 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
280 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_atomic_pthreads-test_atomic.obj `if test -f 'test_atomic.c'; then $(CYGPATH_W) 'test_atomic.c'; else $(CYGPATH_W) '$(srcdir)/test_atomic.c'; fi`
281 uninstall-info-am:
282
283 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
284         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
285         unique=`for i in $$list; do \
286             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
287           done | \
288           $(AWK) '    { files[$$0] = 1; } \
289                END { for (i in files) print i; }'`; \
290         mkid -fID $$unique
291 tags: TAGS
292
293 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
294                 $(TAGS_FILES) $(LISP)
295         tags=; \
296         here=`pwd`; \
297         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
298         unique=`for i in $$list; do \
299             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
300           done | \
301           $(AWK) '    { files[$$0] = 1; } \
302                END { for (i in files) print i; }'`; \
303         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
304           test -n "$$unique" || unique=$$empty_fix; \
305           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
306             $$tags $$unique; \
307         fi
308 ctags: CTAGS
309 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
310                 $(TAGS_FILES) $(LISP)
311         tags=; \
312         here=`pwd`; \
313         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
314         unique=`for i in $$list; do \
315             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
316           done | \
317           $(AWK) '    { files[$$0] = 1; } \
318                END { for (i in files) print i; }'`; \
319         test -z "$(CTAGS_ARGS)$$tags$$unique" \
320           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
321              $$tags $$unique
322
323 GTAGS:
324         here=`$(am__cd) $(top_builddir) && pwd` \
325           && cd $(top_srcdir) \
326           && gtags -i $(GTAGS_ARGS) $$here
327
328 distclean-tags:
329         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
330
331 check-TESTS: $(TESTS)
332         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
333         srcdir=$(srcdir); export srcdir; \
334         list='$(TESTS)'; \
335         if test -n "$$list"; then \
336           for tst in $$list; do \
337             if test -f ./$$tst; then dir=./; \
338             elif test -f $$tst; then dir=; \
339             else dir="$(srcdir)/"; fi; \
340             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
341               all=`expr $$all + 1`; \
342               case " $(XFAIL_TESTS) " in \
343               *" $$tst "*) \
344                 xpass=`expr $$xpass + 1`; \
345                 failed=`expr $$failed + 1`; \
346                 echo "XPASS: $$tst"; \
347               ;; \
348               *) \
349                 echo "PASS: $$tst"; \
350               ;; \
351               esac; \
352             elif test $$? -ne 77; then \
353               all=`expr $$all + 1`; \
354               case " $(XFAIL_TESTS) " in \
355               *" $$tst "*) \
356                 xfail=`expr $$xfail + 1`; \
357                 echo "XFAIL: $$tst"; \
358               ;; \
359               *) \
360                 failed=`expr $$failed + 1`; \
361                 echo "FAIL: $$tst"; \
362               ;; \
363               esac; \
364             else \
365               skip=`expr $$skip + 1`; \
366               echo "SKIP: $$tst"; \
367             fi; \
368           done; \
369           if test "$$failed" -eq 0; then \
370             if test "$$xfail" -eq 0; then \
371               banner="All $$all tests passed"; \
372             else \
373               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
374             fi; \
375           else \
376             if test "$$xpass" -eq 0; then \
377               banner="$$failed of $$all tests failed"; \
378             else \
379               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
380             fi; \
381           fi; \
382           dashes="$$banner"; \
383           skipped=""; \
384           if test "$$skip" -ne 0; then \
385             skipped="($$skip tests were not run)"; \
386             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
387               dashes="$$skipped"; \
388           fi; \
389           report=""; \
390           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
391             report="Please report to $(PACKAGE_BUGREPORT)"; \
392             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
393               dashes="$$report"; \
394           fi; \
395           dashes=`echo "$$dashes" | sed s/./=/g`; \
396           echo "$$dashes"; \
397           echo "$$banner"; \
398           test -z "$$skipped" || echo "$$skipped"; \
399           test -z "$$report" || echo "$$report"; \
400           echo "$$dashes"; \
401           test "$$failed" -eq 0; \
402         else :; fi
403
404 distdir: $(DISTFILES)
405         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
406         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
407         list='$(DISTFILES)'; for file in $$list; do \
408           case $$file in \
409             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
410             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
411           esac; \
412           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
413           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
414           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
415             dir="/$$dir"; \
416             $(mkdir_p) "$(distdir)$$dir"; \
417           else \
418             dir=''; \
419           fi; \
420           if test -d $$d/$$file; then \
421             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
422               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
423             fi; \
424             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
425           else \
426             test -f $(distdir)/$$file \
427             || cp -p $$d/$$file $(distdir)/$$file \
428             || exit 1; \
429           fi; \
430         done
431 check-am: all-am
432         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
433         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
434 check: $(BUILT_SOURCES)
435         $(MAKE) $(AM_MAKEFLAGS) check-am
436 all-am: Makefile
437 installdirs:
438 install: $(BUILT_SOURCES)
439         $(MAKE) $(AM_MAKEFLAGS) install-am
440 install-exec: install-exec-am
441 install-data: install-data-am
442 uninstall: uninstall-am
443
444 install-am: all-am
445         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
446
447 installcheck: installcheck-am
448 install-strip:
449         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
450           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
451           `test -z '$(STRIP)' || \
452             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
453 mostlyclean-generic:
454
455 clean-generic:
456         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
457
458 distclean-generic:
459         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
460
461 maintainer-clean-generic:
462         @echo "This command is intended for maintainers to use"
463         @echo "it deletes files that may require special tools to rebuild."
464         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
465 clean: clean-am
466
467 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
468
469 distclean: distclean-am
470         -rm -rf ./$(DEPDIR)
471         -rm -f Makefile
472 distclean-am: clean-am distclean-compile distclean-generic \
473         distclean-tags
474
475 dvi: dvi-am
476
477 dvi-am:
478
479 html: html-am
480
481 info: info-am
482
483 info-am:
484
485 install-data-am:
486
487 install-exec-am:
488
489 install-info: install-info-am
490
491 install-man:
492
493 installcheck-am:
494
495 maintainer-clean: maintainer-clean-am
496         -rm -rf ./$(DEPDIR)
497         -rm -f Makefile
498 maintainer-clean-am: distclean-am maintainer-clean-generic
499
500 mostlyclean: mostlyclean-am
501
502 mostlyclean-am: mostlyclean-compile mostlyclean-generic
503
504 pdf: pdf-am
505
506 pdf-am:
507
508 ps: ps-am
509
510 ps-am:
511
512 uninstall-am: uninstall-info-am
513
514 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
515         clean-checkPROGRAMS clean-generic ctags distclean \
516         distclean-compile distclean-generic distclean-tags distdir dvi \
517         dvi-am html html-am info info-am install install-am \
518         install-data install-data-am install-exec install-exec-am \
519         install-info install-info-am install-man install-strip \
520         installcheck installcheck-am installdirs maintainer-clean \
521         maintainer-clean-generic mostlyclean mostlyclean-compile \
522         mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
523         uninstall-am uninstall-info-am
524
525
526 test_atomic_include.h: test_atomic.template
527         sed -e s/XX// $? > $@
528         sed -e s/XX/_release/ $? >> $@
529         sed -e s/XX/_acquire/ $? >> $@
530         sed -e s/XX/_read/ $? >> $@
531         sed -e s/XX/_write/ $? >> $@
532         sed -e s/XX/_full/ $? >> $@
533         sed -e s/XX/_release_write/ $? >> $@
534         sed -e s/XX/_acquire_read/ $? >> $@
535
536 list_atomic.c: list_atomic.template
537         echo "#include \"atomic_ops.h\" " > $@
538         sed -e s/XX// $? >> $@
539         sed -e s/XX/_release/ $? >> $@
540         sed -e s/XX/_acquire/ $? >> $@
541         sed -e s/XX/_read/ $? >> $@
542         sed -e s/XX/_write/ $? >> $@
543         sed -e s/XX/_full/ $? >> $@
544         sed -e s/XX/_release_write/ $? >> $@
545         sed -e s/XX/_acquire_read/ $? >> $@
546
547 list_atomic.i: list_atomic.c
548         $(COMPILE) $? -E > list_atomic.i
549 # Tell versions [3.59,3.63) of GNU make to not export all variables.
550 # Otherwise a system limit (for SysV at least) may be exceeded.
551 .NOEXPORT: